#!/bin/sh

# OS configuration setup (SPC-1 Users' Guide)
cat /proc/sys/fs/epoll/max_user_watches >> /proc/sys/fs/aio-max-nr
ulimit -n 1000

# Disable hyper-threading in the BIOS (Core & Thread Count must be the same)
dmidecode | grep Count 

# systemctl stop irqbalance
# systemctl disable irqbalance

mlnx_tune -p HIGH_THROUGHPUT

# CPU Governor setup (Melanox recommandation)
for i in `seq 0 23`
do
	echo performance > /sys/devices/system/cpu/cpu$i/cpufreq/scaling_governor
done

# Queue setup (Melanox Block layer staging)
devs=$(egrep "MR9361-8i" /sys/block/sd?/device/model | awk -F '/' '{print $4}')

for dev in $devs;
do
	echo "/dev/$dev tuning parameters"
	#devices configuration setup
	echo 1024 > /sys/block/$dev/queue/nr_requests
	echo 'noop' > /sys/block/$dev/queue/scheduler
 	echo 2 > /sys/block/$dev/queue/nomerges
	echo 0 > /sys/block/$dev/queue/add_random
 	echo 1 > /sys/block/$dev/queue/rq_affinity
	
	cat /sys/block/$dev/queue/nr_requests
	cat /sys/block/$dev/queue/scheduler
 	cat /sys/block/$dev/queue/nomerges
	cat /sys/block/$dev/queue/add_random
 	cat /sys/block/$dev/queue/rq_affinity
done
